<?php
/**
 * Visforms label html of textarea field for default layout
 *
 * @author       Aicha Vack
 * @package      Joomla.Site
 * @subpackage   com_visforms
 * @link         https://www.vi-solutions.de
 * @license      GNU General Public License version 2 or later; see license.txt
 * @copyright    2012 vi-solutions
 * @since        Joomla 1.6 
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

if (!empty($displayData)) : 
    if (isset($displayData['field'])) :
        $field = $displayData['field'];
        $labelClass = $field->labelClass;
        $labelClass = ((!empty($field->show_label)) && (empty($field->hasHTMLEditor))) ? $field->labelClass . ' asterix-ancor' : $field->labelClass;
        $html = array();
        $html[] = '<label class=" ' . $labelClass . ' ' .$field->labelCSSclass . '" id="' . $field->name. 'lbl" for="field' . $field->id .'">';
        if (!empty($field->label_icon)) {
            $html[] = '<span class="p-2 ' . $field->label_icon . '" aria-hidden="true"></span>';
        }
        if (empty($field->show_label)) {
            $html[] = $field->label;
        }
        else {
            // hide label with css if this option is set, so we can still use it in aria-labelledby
            $html[] = '<span class="visually-hidden">' . $field->label. '</span>';
        }
        $html[] = '</label>';
        echo implode('', $html);
    endif;  
endif; ?>
  